import { BehaviorSubject } from "rxjs";
import { TreeModelNavDrawer } from "../components/qms-nav-drawer/models/qms-nav-drawer.model";
import * as i0 from "@angular/core";
export declare class QMSTreeGlobalService {
    getItemsChildren$: BehaviorSubject<TreeModelNavDrawer[]>;
    getOpenNodes$: BehaviorSubject<string[]>;
    getSelectedNode$: BehaviorSubject<string>;
    getDisabledList$: BehaviorSubject<string[]>;
    constructor();
    setItemsChildren(result: TreeModelNavDrawer[]): void;
    setOpenNodes(result: string[]): void;
    setSelectedNode(id: string): void;
    setDisabledList(result: string[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSTreeGlobalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QMSTreeGlobalService>;
}
